gi-gio-2.0.19: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Gio.Objects.TcpWrapperConnection

Contents

- Exported types
- Methods
  - getBaseIoStream
  - new
- Properties
  - baseIoStream

Description

A `TcpWrapperConnection` can be used to wrap a `IOStream` that is based on a `Socket`, but which is not actually a `SocketConnection`. This is used by `SocketClient` so that it can always return a `SocketConnection`, even when the connection it has actually created is not directly a `SocketConnection`.

Since: 2.28

Synopsis

- newtype TcpWrapperConnection = TcpWrapperConnection (ManagedPtr TcpWrapperConnection)
- class GObject o => IsTcpWrapperConnection o
- toTcpWrapperConnection :: (MonadIO m, IsTcpWrapperConnection o) => o -> m TcpWrapperConnection
- noTcpWrapperConnection :: Maybe TcpWrapperConnection
- tcpWrapperConnectionGetBaseIoStream :: (HasCallStack, MonadIO m, IsTcpWrapperConnection a) => a -> m IOStream
- tcpWrapperConnectionNew :: (HasCallStack, MonadIO m, IsIOStream a, IsSocket b) => a -> b -> m TcpWrapperConnection
- constructTcpWrapperConnectionBaseIoStream :: (IsTcpWrapperConnection o, IsIOStream a) => a -> IO (GValueConstruct o)
- getTcpWrapperConnectionBaseIoStream :: (MonadIO m, IsTcpWrapperConnection o) => o -> m IOStream

# Exported types

newtype TcpWrapperConnection Source #

Memory-managed wrapper type.

Constructors

TcpWrapperConnection (ManagedPtr TcpWrapperConnection) |

Instances

GObject TcpWrapperConnection Source # |
Instance details Defined in GI.Gio.Objects.TcpWrapperConnection Methods gobjectType :: TcpWrapperConnection -> IO GType Source #
IsObject TcpWrapperConnection Source # |
Instance details Defined in GI.Gio.Objects.TcpWrapperConnection
IsIOStream TcpWrapperConnection Source # |
Instance details Defined in GI.Gio.Objects.TcpWrapperConnection
IsSocketConnection TcpWrapperConnection Source # |
Instance details Defined in GI.Gio.Objects.TcpWrapperConnection
IsTcpConnection TcpWrapperConnection Source # |
Instance details Defined in GI.Gio.Objects.TcpWrapperConnection
IsTcpWrapperConnection TcpWrapperConnection Source # |
Instance details Defined in GI.Gio.Objects.TcpWrapperConnection

class GObject o => IsTcpWrapperConnection o Source #

Type class for types which can be safely cast to `TcpWrapperConnection`, for instance with `toTcpWrapperConnection`.

Instances

(GObject a, (UnknownAncestorError TcpWrapperConnection a :: Constraint)) => IsTcpWrapperConnection a Source # |
Instance details Defined in GI.Gio.Objects.TcpWrapperConnection
IsTcpWrapperConnection TcpWrapperConnection Source # |
Instance details Defined in GI.Gio.Objects.TcpWrapperConnection

toTcpWrapperConnection :: (MonadIO m, IsTcpWrapperConnection o) => o -> m TcpWrapperConnection Source #

Cast to `TcpWrapperConnection`, for types for which this is known to be safe. For general casts, use `castTo`.

noTcpWrapperConnection :: Maybe TcpWrapperConnection Source #

A convenience alias for `Nothing` :: `Maybe` `TcpWrapperConnection`.

# Methods

## getBaseIoStream

tcpWrapperConnectionGetBaseIoStream Source #

Arguments

:: (HasCallStack, MonadIO m, IsTcpWrapperConnection a) |
=> a | `conn`: a `TcpWrapperConnection`
-> m IOStream | Returns: `conn`'s base `IOStream`

Get's `conn`'s base `IOStream`

## new

tcpWrapperConnectionNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsIOStream a, IsSocket b) |
=> a | `baseIoStream`: the `IOStream` to wrap
-> b | `socket`: the `Socket` associated with `baseIoStream`
-> m TcpWrapperConnection | Returns: the new `SocketConnection`.

Wraps `baseIoStream` and `socket` together as a `SocketConnection`.

Since: 2.28

# Properties

## baseIoStream

No description available in the introspection data.

constructTcpWrapperConnectionBaseIoStream :: (IsTcpWrapperConnection o, IsIOStream a) => a -> IO (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`base-io-stream`” property. This is rarely needed directly, but it is used by `new`.

getTcpWrapperConnectionBaseIoStream :: (MonadIO m, IsTcpWrapperConnection o) => o -> m IOStream Source #

Get the value of the “`base-io-stream`” property. When overloading is enabled, this is equivalent to

    get tcpWrapperConnection #baseIoStream